Subject: bug#62995: closed (Re: bug#62995: Cuirass evaluation failures not reported as such)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 19 May 2023 14:40:02 +0000

Your bug report

#62995: Cuirass evaluation failures not reported as such

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62995: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62995
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62995: Cuirass evaluation failures not reported as such
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Fri, 19 May 2023 16:39:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skribis:

> I noticed that evaluation failures are not (not always?) being reported
> with a ❎ as it used to be.  For example:
>
>   https://ci.guix.gnu.org/eval/418466
>
> It is marked as successful but it has zero build jobs:
>
>   https://ci.guix.gnu.org/eval/418466/dashboard
>
> The evaluation log on berlin shows a clear failure though:
>
> ludo@berlin ~$ zcat /var/log/cuirass/evaluations/418466.gz
> Computing Guix derivation for 'x86_64-linux'...  
> In thread:
> socket:21:111: Unknown # object: "#<"

I believe this was fixed by Cuirass commit
899391215045513ddd708b12edade8de71e29b9e.

Ludo’.

Subject: Cuirass evaluation failures not reported as such
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Fri, 21 Apr 2023 16:42:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that evaluation failures are not (not always?) being reported
with a ❎ as it used to be.  For example:

  https://ci.guix.gnu.org/eval/418466

It is marked as successful but it has zero build jobs:

  https://ci.guix.gnu.org/eval/418466/dashboard

The evaluation log on berlin shows a clear failure though:

--8<---------------cut here---------------start------------->8---
ludo@berlin ~$ zcat /var/log/cuirass/evaluations/418466.gz
Computing Guix derivation for 'x86_64-linux'...  
In thread:
socket:21:111: Unknown # object: "#<"
--8<---------------cut here---------------end--------------->8---

Ludo’.